<?php
/**
 * Plugin Name:       Hakoniwa Blocks
 * Plugin URI:        https://hakoniwa.animagate.com/
 * Version:           0.1.24
 * Description:       Plugin for "Hakoniwa" block theme (Blocks)
 * Requires at least: 6.2
 * Requires PHP:      7.4
 * Author:            Tetsuya Imamura[AnimaGate, Inc.]
 * Author URI:        https://profiles.wordpress.org/s56bouya
 * License:           GPL-2.0-or-later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       hakoniwa-blocks
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_filter( 'should_load_separate_core_block_assets', '__return_true' );

/**
 * Util
 */
require_once __DIR__ . '/inc/util/index.php';

/**
 * Init
 */
require_once __DIR__ . '/inc/init/index.php';

/**
 * Reset Transient
 */
$Misc = new hakoniwa\blocks\util\Misc;

register_activation_hook( __FILE__, [ $Misc, 'reset_data' ]  );
